## Orientable

Orientable

## Functions

GtkOrientation | gtk_orientable_get_orientation ()
void | gtk_orientable_set_orientation ()

## Properties

GtkOrientation | orientation | Read / Write

## Types and Values

| GtkOrientable

## Object Hierarchy

        GInterface
        ╰── GtkOrientable

## Prerequisites

GtkOrientable requires GObject.

## Known Implementations

GtkOrientable is implemented by GtkBox, GtkButtonBox, GtkColorSelection, GtkCombo, GtkFileChooserButton, GtkFileChooserWidget, GtkFontSelection, GtkGammaCurve, GtkHBox, GtkHButtonBox, GtkHPaned, GtkHRuler, GtkHScale, GtkHScrollbar, GtkHSeparator, GtkInfoBar, GtkPaned, GtkRange, GtkRecentChooserWidget, GtkRuler, GtkScale, GtkScaleButton, GtkScrollbar, GtkSeparator, GtkStatusbar, GtkToolPalette, GtkToolbar, GtkVBox, GtkVButtonBox, GtkVPaned, GtkVRuler, GtkVScale, GtkVScrollbar, GtkVSeparator and GtkVolumeButton.

## Includes

    #include <gtk/gtkpagesetupunixdialog.h>

## Description

## Functions

### gtk_orientable_get_orientation ()

    GtkOrientation
    gtk_orientable_get_orientation (GtkOrientable *orientable);

Retrieves the orientation of the `orientable` .

#### Parameters

orientable | a GtkOrientable |

#### Returns

the orientation of the `orientable` .

Since: 2.16

### gtk_orientable_set_orientation ()

    void
    gtk_orientable_set_orientation (GtkOrientable *orientable,
                                    GtkOrientation orientation);

Sets the orientation of the `orientable` .

#### Parameters

orientable | a GtkOrientable |
orientation | the orientable's new orientation. |

Since: 2.16

## Types and Values

### GtkOrientable

    typedef struct _GtkOrientable GtkOrientable;

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

The orientation of the orientable.

Owner: GtkOrientable

Flags: Read / Write

Default value: GTK_ORIENTATION_HORIZONTAL

Since: 2.16